import React from 'react'
import './style.scss'
import {
  Button,
  IconButton,
  Card, CardTitle, CardText, CardActions, CardMenu
} from 'react-mdl'

export default class CarmelComponent extends React.Component {

  get backgroundImage() {
    return this.props.image
  }

  renderLatest() {
    const articles = this.props.articles.default
    var elements = []

    for(let articleId in articles) {
      const article = articles[articleId]
      elements.push(this.renderArticle(article))
    }

    return elements
  }

  renderArticle(article) {
    return (<div key={article._id} styleName="article">
    <Card shadow={0}>
      <CardTitle styleName="date" style={{color: '#fff', height: '176px', background: `url(${article.content.image}) center / cover`}}>
        { article.content.date }
      </CardTitle>
      <CardTitle styleName="title">
        { article.content.title }
      </CardTitle>
      <CardText styleName="summary">
          { article.content.summary }
      </CardText>
      <CardActions border>
        <Button colored href={`/${article.path}`}> { this.props.text.continue } </Button>
      </CardActions>
    </Card></div>)
  }

  render () {
    return (
      <div styleName="container">
        <div styleName="header" style={{"background": `url(${this.backgroundImage}) no-repeat center center`}}/>
          <div styleName="content">
            { this.renderLatest() }
          </div>
      </div>)
  }
}
